Subject: Re: bug#41572: 28.0.50; [PATCH] Support plain project marked with file .emacs-project

From: Dmitry Gutov <[email-masked]>
Date: Wed, 30 Nov 2022 02:10:15 +0200

On 30/11/2022 00:06, João Távora wrote:
> Dmitry Gutov <[email-masked]> writes:
> 
>>>> Please elaborate.
>>> I've already elaborated, with actual code.
>>> https://lists.gnu.org/archive/html/emacs-devel/2022-11/msg01505.html
>>> https://lists.gnu.org/archive/html/emacs-devel/2022-11/msg01530.html
>>
>> These answered the question of *what* you want to do, not *why*.
> 
> I've described that numerous times as well.  I want to be able to grep,
> compile, etc in the either the super or the sub project.  I've described
> this to you so many times it's astonishing you keep asking me to
> elaborate.

Should I repeat, for the 1000th time, that it will be possible to add no 
matter which of the "subproject" approaches we take?

I've even posted the patch.

>> I understand that in theory,
> 
> Thank heavens for that!
> 
>> it's just it's often possible to solve the problem with the tools at
>> hand (see my latest reply on emacs-devel about the Emacs doc/
>> subdirectory).
> 
> I've seen it, and it's not a good solution.  Will reply there.

Okay.

Should I wait for you to finally try the patch from the GGP email? Or is 
that too much to ask?

 From what I see of your responses, you didn't read it either.